Bug 985201 - RFE: Add virt-install --reinstall DOMAIN option
RFE: Add virt-install --reinstall DOMAIN option
Status: NEW
Product: Virtualization Tools
Classification: Community
Component: virt-manager (Show other bugs)
unspecified
All All
unspecified Severity low
: ---
: ---
Assigned To: Cole Robinson
:
: 1325653 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-17 01:33 EDT by Daniel Veillard
Modified: 2018-07-18 10:19 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Daniel Veillard 2013-07-17 01:33:52 EDT
Description of problem:
Sometimes one would like to reboot a domain to fix it or upgrade it from
an ISO image, either from an on-disk iso file or CD-Rom device

Proposed solution:
Add a contextual entry to the pop up associated to a domain, e.g. above
the clone option "Boot from ISO", leading to a file selection like for the
installer (code can probably reused), once the device path is acquired
extend the XML as suggested in
  http://andyregan.net/blog/libvirt-kvm-booting-from-an-iso-image/
boot the domain and then revert back the XML to previous version temporarilly
saved in memory.

Makes the recovery/upgrade step way simpler than messing in the hardware
section of the domain, and trying to change the boot order.

Daniel
Comment 1 Cole Robinson 2014-02-04 17:50:58 EST
Hmm, I don't really like the idea of adding a specific menu entry for this in virt-manager. We try to keep the context menu entries to point to high level tasks that can't be accomplished any other way: what's suggested would be a convenience option saving the user < 10 clicks.

In the 'rescue' case, there's already the very helpful virt-rescue command, though it's command line only.

I've thought about adding a virt-install --reinstall DOMAIN_NAME command that would also help facilitate a usecase like this, to stick a CDROM on the guest and boot from it once. Would also cover other usecases like legitimate reinstalls. And it should be pretty easy to wire up in virt-install. Let's use this bug to track that.
Comment 2 Cole Robinson 2016-04-11 07:48:35 EDT
*** Bug 1325653 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.